"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jwt_decode_1 = __importDefault(require("jwt-decode"));
// import { Profile } from "./interfaces";
const getComputedValues = (options, { jwt, profileFn }) => {
    const { idToken, accessToken, token } = options;
    let { profile, expiration } = options;
    if (profileFn) {
        if (accessToken && idToken) {
            profile = profileFn(idToken);
        }
        else if (token) {
            profile = profileFn(token);
        }
    }
    else if (jwt) {
        if (accessToken && idToken) {
            profile = jwt_decode_1.default(idToken);
        }
        else if (token) {
            profile = jwt_decode_1.default(token);
        }
    }
    if (expiration === undefined) {
        if (profile && profile.exp) {
            expiration = new Date(profile.exp * 1000);
        }
        else if (profile) {
            expiration = new Date(Date.now() + 10 * 60 * 60 * 1000); // 10 hours
        }
    }
    let isAuthenticated = false;
    if (expiration === null && profile) {
        isAuthenticated = true;
    }
    else if (expiration) {
        isAuthenticated = Date.now() < expiration.valueOf();
    }
    const state = Object.assign({}, options, { expiration,
        isAuthenticated,
        profile });
    return state;
};
exports.default = getComputedValues;
//# sourceMappingURL=getComputedValues.js.map